diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1afde80..09d613f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -20220,13 +20220,1247 @@ d01WeightsPackage(): E == I where
 )spool d02AgentsPackage.output
 )set message test on
 )set message auto off
+ 
 )clear all
 
---S 1 of 1
+--S 1 of 137
 )show d02AgentsPackage
+--R 
+--R d02AgentsPackage  is a package constructor
+--R Abbreviation for d02AgentsPackage is D02AGNT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.4.pamphlet to see algebra source code for D02AGNT 
+--R
+--R------------------------------- Operations --------------------------------
+--R accuracyIF : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals: List(DoubleFloat),g: Expression(DoubleFloat),abserr: DoubleFloat,relerr: DoubleFloat) -> Float
+--R combineFeatureCompatibility : (Float,Float) -> Float
+--R combineFeatureCompatibility : (Float,List(Float)) -> Float
+--R eval : (Matrix(Expression(DoubleFloat)),List(Symbol),Vector(Expression(DoubleFloat))) -> Matrix(Expression(DoubleFloat))
+--R expenseOfEvaluationIF : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals: List(DoubleFloat),g: Expression(DoubleFloat),abserr: DoubleFloat,relerr: DoubleFloat) -> Float
+--R intermediateResultsIF : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals: List(DoubleFloat),g: Expression(DoubleFloat),abserr: DoubleFloat,relerr: DoubleFloat) -> Float
+--R jacobian : (Vector(Expression(DoubleFloat)),List(Symbol)) -> Matrix(Expression(DoubleFloat))
+--R sparsityIF : Matrix(Expression(DoubleFloat)) -> Float
+--R stiffnessAndStabilityFactor : Matrix(Expression(DoubleFloat)) -> Record(stiffnessFactor: Float,stabilityFactor: Float)
+--R stiffnessAndStabilityOfODEIF : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals: List(DoubleFloat),g: Expression(DoubleFloat),abserr: DoubleFloat,relerr: DoubleFloat) -> Record(stiffnessFactor: Float,stabilityFactor: Float)
+--R systemSizeIF : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals: List(DoubleFloat),g: Expression(DoubleFloat),abserr: DoubleFloat,relerr: DoubleFloat) -> Float
+--R
 --E 1
 
-)spool
+)clear all
+ 
+--S 2 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 2
+
+--S 3 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 3
+
+--S 4 of 137
+xend:SF:=8.0
+--R 
+--R
+--R   (3)  8.
+--R                                                            Type: DoubleFloat
+--E 4
+
+--S 5 of 137
+n:=3
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 5
+
+--S 6 of 137
+irelab:=0
+--R 
+--R
+--R   (5)  0
+--R                                                     Type: NonNegativeInteger
+--E 6
+
+--S 7 of 137
+x:SF:=0.0
+--R 
+--R
+--R   (6)  0.
+--R                                                            Type: DoubleFloat
+--E 7
+
+--S 8 of 137
+y:Matrix SF:= [[0.0 ,0.5 ,%pi*0.2 ]]
+--R 
+--R
+--R   (7)  [0.  0.5  0.62831853071795862]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 8
+
+--S 9 of 137
+tol:SF:=0.0001
+--R 
+--R
+--R   (8)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 9
+
+--S 10 of 137
+vef:Vector Expression Float:=
+ [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]^2) ]
+--R 
+--R
+--R                                                 2
+--R                 - 0.032 cos(Y )tan(Y ) - 0.02 Y
+--R                              3      3          2    0.032
+--R   (9)  [tan(Y ),---------------------------------,- -----]
+--R              3              Y cos(Y )                  2
+--R                              2     3                 Y
+--R                                                       2
+--R                                              Type: Vector(Expression(Float))
+--E 10
+
+--S 11 of 137
+fcn:Asp7(FCN):= retract vef
+--R 
+--R
+--R   (10)  FCN
+--R                                                              Type: Asp7(FCN)
+--E 11
+
+--S 12 of 137
+vm:Vector MachineFloat:= [1,2,3,4,5,6,7,8]
+--R 
+--R
+--R   (11)  [1.0,2.0,3.0,4.0,5.0,6.0,7.0,8.0]
+--R                                                   Type: Vector(MachineFloat)
+--E 12
+
+--S 13 of 137
+output:Asp8(OUTPUT):= coerce vm
+--R 
+--R
+--R   (12)  OUTPUT
+--R                                                           Type: Asp8(OUTPUT)
+--E 13
+
+--S 14 of 137
+-- result:=d02bbf(xend,# vm,n,irelab,x,y,tol,-1,fcn,output)
+--E 14
+
+)clear all
+
+--S 15 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 15
+
+--S 16 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 16
+
+--S 17 of 137
+xend:SF:=10.0
+--R 
+--R
+--R   (3)  10.
+--R                                                            Type: DoubleFloat
+--E 17
+
+--S 18 of 137
+n:=3
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 18
+
+--S 19 of 137
+irelab:=0
+--R 
+--R
+--R   (5)  0
+--R                                                     Type: NonNegativeInteger
+--E 19
+
+--S 20 of 137
+hmax:SF:=0.0
+--R 
+--R
+--R   (6)  0.
+--R                                                            Type: DoubleFloat
+--E 20
+
+--S 21 of 137
+x:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 21
+
+--S 22 of 137
+y:Matrix SF:= [[0.5 ,0.5 ,%pi*0.2 ]]
+--R 
+--R
+--R   (8)  [0.5  0.5  0.62831853071795862]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 22
+
+--S 23 of 137
+tol:SF:=0.0001
+--R 
+--R
+--R   (9)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 23
+
+--S 24 of 137
+ef:Expression Float:=1.0*Y[1]::EXPR FLOAT
+--R 
+--R
+--R   (10)  Y
+--R          1
+--R                                                      Type: Expression(Float)
+--E 24
+
+--S 25 of 137
+g:Asp9(G):=retract ef
+--R 
+--R
+--R   (11)  G
+--R                                                                Type: Asp9(G)
+--E 25
+
+--S 26 of 137
+vef:Vector Expression Float:=
+ [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]^2) ]
+--R 
+--R
+--R                                                  2
+--R                  - 0.032 cos(Y )tan(Y ) - 0.02 Y
+--R                               3      3          2    0.032
+--R   (12)  [tan(Y ),---------------------------------,- -----]
+--R               3              Y cos(Y )                  2
+--R                               2     3                 Y
+--R                                                        2
+--R                                              Type: Vector(Expression(Float))
+--E 26
+
+--S 27 of 137
+fcn:Asp7(FCN):= retract vef
+--R 
+--R
+--R   (13)  FCN
+--R                                                              Type: Asp7(FCN)
+--E 27
+
+--S 28 of 137
+-- result:=d02bhf(xend,n,irelab,hmax,x,y,tol,-1,g,fcn)
+--E 28
+
+)clear all
+
+--S 29 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 29
+
+--S 30 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 30
+
+--S 31 of 137
+xend:SF:=10.0
+--R 
+--R
+--R   (3)  10.
+--R                                                            Type: DoubleFloat
+--E 31
+
+--S 32 of 137
+n:=3
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 32
+
+--S 33 of 137
+tol:SF:=0.0001
+--R 
+--R
+--R   (5)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 33
+
+--S 34 of 137
+relabs:="D"
+--R 
+--R
+--R   (6)  "D"
+--R                                                                 Type: String
+--E 34
+
+--S 35 of 137
+x:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 35
+
+--S 36 of 137
+y:Matrix SF:=[[0.5 ,0.5 ,%pi*0.2 ]]
+--R 
+--R
+--R   (8)  [0.5  0.5  0.62831853071795862]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 36
+
+--S 37 of 137
+ef:Expression Float:=Y[1]:: EXPR FLOAT
+--R 
+--R
+--R   (9)  Y
+--R         1
+--R                                                      Type: Expression(Float)
+--E 37
+
+--S 38 of 137
+g:Asp9(G):=retract ef
+--R 
+--R
+--R   (10)  G
+--R                                                                Type: Asp9(G)
+--E 38
+
+--S 39 of 137
+vef:Vector Expression Float:=
+ [tan(Y[3]) ,-0.032*tan(Y[3])/Y[2] -0.02*Y[2]/cos(Y[3]) ,-0.032/(Y[2]^2) ]
+--R 
+--R
+--R                                                  2
+--R                  - 0.032 cos(Y )tan(Y ) - 0.02 Y
+--R                               3      3          2    0.032
+--R   (11)  [tan(Y ),---------------------------------,- -----]
+--R               3              Y cos(Y )                  2
+--R                               2     3                 Y
+--R                                                        2
+--R                                              Type: Vector(Expression(Float))
+--E 39
+
+--S 40 of 137
+fcn:Asp7(FCN):= retract vef
+--R 
+--R
+--R   (12)  FCN
+--R                                                              Type: Asp7(FCN)
+--E 40
+
+--S 41 of 137
+vm:Vector MachineFloat:= [2,4,6,8]
+--R 
+--R
+--R   (13)  [2.0,4.0,6.0,8.0]
+--R                                                   Type: Vector(MachineFloat)
+--E 41
+
+--S 42 of 137
+output:Asp8(OUTPUT):=coerce vm
+--R 
+--R
+--R   (14)  OUTPUT
+--R                                                           Type: Asp8(OUTPUT)
+--E 42
+
+--S 43 of 137
+-- result:=d02cjf(xend,# vm,n,tol,relabs,x,y,-1,g,fcn,output)
+--E 43
+
+)clear all
+ 
+--S 44 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 44
+
+--S 45 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 45
+
+--S 46 of 137
+xend:SF:= 10.0
+--R 
+--R
+--R   (3)  10.
+--R                                                            Type: DoubleFloat
+--E 46
+
+--S 47 of 137
+n:=3
+--R 
+--R
+--R   (4)  3
+--R                                                        Type: PositiveInteger
+--E 47
+
+--S 48 of 137
+relabs:="D"
+--R 
+--R
+--R   (5)  "D"
+--R                                                                 Type: String
+--E 48
+
+--S 49 of 137
+iw:=95
+--R 
+--R
+--R   (6)  95
+--R                                                        Type: PositiveInteger
+--E 49
+
+--S 50 of 137
+x:SF:=0.0
+--R 
+--R
+--R   (7)  0.
+--R                                                            Type: DoubleFloat
+--E 50
+
+--S 51 of 137
+y:Matrix SF:= [[1.0 ,0.0 ,0.0 ]]
+--R 
+--R
+--R   (8)  [1.  0.  0.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 51
+
+--S 52 of 137
+tol:=0.0001
+--R 
+--R
+--R   (9)  0.0001
+--R                                                                  Type: Float
+--E 52
+
+--S 53 of 137
+ef:Expression Float:=(Y[1]::EXPR FLOAT)-0.9
+--R 
+--R
+--R   (10)  Y  - 0.9
+--R          1
+--R                                                      Type: Expression(Float)
+--E 53
+
+--S 54 of 137
+g:Asp9(G):=retract ef
+--R 
+--R
+--R   (11)  G
+--R                                                                Type: Asp9(G)
+--E 54
+
+--S 55 of 137
+vef:Vector Expression Float:=
+ [-0.04*Y[1]+1.0E4*Y[2]*Y[3] ,_
+   0.04*Y[1]-1.0E4*Y[2]*Y[3]-3.0E7*Y[2]*Y[2] ,_
+   3.0E7*Y[2]*Y[2] ]
+--R 
+--R
+--R   (12)
+--R                                                          2
+--R   [10000.0 Y Y  - 0.04 Y , - 10000.0 Y Y  - 30000000.0 Y   + 0.04 Y ,
+--R             2 3         1             2 3               2          1
+--R                 2
+--R    30000000.0 Y  ]
+--R                2
+--R                                              Type: Vector(Expression(Float))
+--E 55
+
+--S 56 of 137
+fcn:ASP7(FCN):=retract vef
+--R 
+--R
+--R   (13)  FCN
+--R                                                              Type: Asp7(FCN)
+--E 56
+
+--S 57 of 137
+pederv:Asp31(PEDERV):=retract vef
+--R 
+--R
+--R   (14)  PEDERV
+--R                                                          Type: Asp31(PEDERV)
+--E 57
+
+--S 58 of 137
+vm:Vector MachineFloat:=[2,4,6,8]
+--R 
+--R
+--R   (15)  [2.0,4.0,6.0,8.0]
+--R                                                   Type: Vector(MachineFloat)
+--E 58
+
+--S 59 of 137
+output:Asp8(OUTPUT):=coerce vm 
+--R 
+--R
+--R   (16)  OUTPUT
+--R                                                           Type: Asp8(OUTPUT)
+--E 59
+
+--S 60 of 137
+-- result:=d02ejf(xend,# vm,n,relabs,iw,x,y,tol,-1,g,fcn,pederv,output)
+--E 60
+
+)clear all
+
+--S 61 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 61
+
+--S 62 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 62
+
+--S 63 of 137
+u:Matrix SF:= [[0 ,10 ],[0 ,1 ],[0 ,0 ]]
+--R 
+--R
+--R        +0.  10.+
+--R        |       |
+--R   (3)  |0.  1. |
+--R        |       |
+--R        +0.  0. +
+--R                                                    Type: Matrix(DoubleFloat)
+--E 63
+
+--S 64 of 137
+v:Matrix SF:= [[0.0 ,1.0 ],[0.0 ,0.0 ],[1.0 ,1.0 ]]
+--R 
+--R
+--R        +0.  1.+
+--R        |      |
+--R   (4)  |0.  0.|
+--R        |      |
+--R        +1.  1.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 64
+
+--S 65 of 137
+n:=3
+--R 
+--R
+--R   (5)  3
+--R                                                        Type: PositiveInteger
+--E 65
+
+--S 66 of 137
+a:SF:=0.0
+--R 
+--R
+--R   (6)  0.
+--R                                                            Type: DoubleFloat
+--E 66
+
+--S 67 of 137
+b:SF:=10.0
+--R 
+--R
+--R   (7)  10.
+--R                                                            Type: DoubleFloat
+--E 67
+
+--S 68 of 137
+tol:=1.0e-3
+--R 
+--R
+--R   (8)  0.001
+--R                                                                  Type: Float
+--E 68
+
+--S 69 of 137
+mnp:=64
+--R 
+--R
+--R   (9)  64
+--R                                                        Type: PositiveInteger
+--E 69
+
+--S 70 of 137
+lw:=3056
+--R 
+--R
+--R   (10)  3056
+--R                                                        Type: PositiveInteger
+--E 70
+
+--S 71 of 137
+liw:= 471
+--R 
+--R
+--R   (11)  471
+--R                                                        Type: PositiveInteger
+--E 71
+
+--S 72 of 137
+x:Matrix SF:=
+ [[0.0 ,0.4 ,0.8 ,1.2 ,1.6 ,2.0 ,2.4 ,2.8 ,3.2 ,_
+   3.6 ,4.0 ,4.4 ,4.8 ,5.2 ,5.6 ,6.0 ,6.4 ,6.8 ,_
+   7.2 ,7.6 ,8.0 ,8.4 ,8.8 ,9.2 ,9.6 ,10.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
+--R 
+--R
+--R   (12)
+--R   [
+--R     [0., 0.40000000000000002, 0.80000000000000004, 1.2, 1.6000000000000001,
+--R      2., 2.3999999999999999, 2.7999999999999998, 3.2000000000000002,
+--R      3.5999999999999996, 4., 4.4000000000000004, 4.7999999999999998,
+--R      5.1999999999999993, 5.5999999999999996, 6., 6.4000000000000004,
+--R      6.7999999999999998, 7.1999999999999993, 7.5999999999999996, 8.,
+--R      8.3999999999999986, 8.8000000000000007, 9.1999999999999993,
+--R      9.5999999999999996, 10., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 72
+
+--S 73 of 137
+np:=26
+--R 
+--R
+--R   (13)  26
+--R                                                        Type: PositiveInteger
+--E 73
+
+--S 74 of 137
+vef:Vector Expression Float:=
+ [Y[2] ,Y[3] ,-Y[1]*Y[3]-0.2*(1-Y[2]*Y[2]) ]
+--R 
+--R
+--R                                   2
+--R   (14)  [Y ,Y ,- 1.0 Y Y  + 0.2 Y   - 0.2]
+--R           2  3        1 3        2
+--R                                              Type: Vector(Expression(Float))
+--E 74
+
+--S 75 of 137
+fcn:Asp7(FCN):=retract vef
+--R 
+--R
+--R   (15)  FCN
+--R                                                              Type: Asp7(FCN)
+--E 75
+
+--S 76 of 137
+-- result:=d02gaf(u,v,n,a,b,tol,mnp,lw,liw,x,np,-1,fcn)
+--E 76
+
+)clear all
+
+--S 77 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 77
+
+--S 78 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 78
+
+--S 79 of 137
+a:SF:=0.0
+--R 
+--R
+--R   (3)  0.
+--R                                                            Type: DoubleFloat
+--E 79
+
+--S 80 of 137
+b:SF:=1.0
+--R 
+--R
+--R   (4)  1.
+--R                                                            Type: DoubleFloat
+--E 80
+
+--S 81 of 137
+n:=2
+--R 
+--R
+--R   (5)  2
+--R                                                        Type: PositiveInteger
+--E 81
+
+--S 82 of 137
+tol:SF:=1.0e-3
+--R 
+--R
+--R   (6)  1.0E-3
+--R                                                            Type: DoubleFloat
+--E 82
+
+--S 83 of 137
+mnp:= 70
+--R 
+--R
+--R   (7)  70
+--R                                                        Type: PositiveInteger
+--E 83
+
+--S 84 of 137
+lw:=1702
+--R 
+--R
+--R   (8)  1702
+--R                                                        Type: PositiveInteger
+--E 84
+
+--S 85 of 137
+liw:=352
+--R 
+--R
+--R   (9)  352
+--R                                                        Type: PositiveInteger
+--E 85
+
+--S 86 of 137
+c:Matrix SF:= [[1 ,0 ],[0 ,0 ]]
+--R 
+--R
+--R         +1.  0.+
+--R   (10)  |      |
+--R         +0.  0.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 86
+
+--S 87 of 137
+d:Matrix SF:= [[0 ,0 ],[1 ,0 ]]
+--R 
+--R
+--R         +0.  0.+
+--R   (11)  |      |
+--R         +1.  0.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 87
+
+--S 88 of 137
+gam:Matrix SF:= [[0 ,1 ]]
+--R 
+--R
+--R   (12)  [0.  1.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 88
+
+--S 89 of 137
+x:Matrix SF:=
+ [[0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
+--R 
+--R
+--R   (13)
+--R   [
+--R     [0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 89
+
+--S 90 of 137
+np:=0
+--R 
+--R
+--R   (14)  0
+--R                                                     Type: NonNegativeInteger
+--E 90
+
+--S 91 of 137
+ifail:= 11
+--R 
+--R
+--R   (15)  11
+--R                                                        Type: PositiveInteger
+--E 91
+
+--S 92 of 137
+mef:Matrix Expression Float:= [[0 ,1 ],[0 ,-10 ]]
+--R 
+--R
+--R         +0.0   1.0  +
+--R   (16)  |           |
+--R         +0.0  - 10.0+
+--R                                              Type: Matrix(Expression(Float))
+--E 92
+
+--S 93 of 137
+fcnf:Asp77(FCNF):=retract mef
+--R 
+--R
+--R   (17)  FCNF
+--R                                                            Type: Asp77(FCNF)
+--E 93
+
+--S 94 of 137
+vef:Vector Expression Float := [0 ,0 ]
+--R 
+--R
+--R   (18)  [0.0,0.0]
+--R                                              Type: Vector(Expression(Float))
+--E 94
+
+--S 95 of 137
+fcng:Asp78(FCNG):=retract vef
+--R 
+--R
+--R   (19)  FCNG
+--R                                                            Type: Asp78(FCNG)
+--E 95
+
+--S 96 of 137
+-- result:=d02gbf(a,b,n,tol,mnp,lw,liw,c,d,gam,x,np,ifail,fcnf,fcng)
+--E 96
+
+)clear all
+
+--S 97 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 97
+
+--S 98 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 98
+
+--S 99 of 137
+xpoint:Matrix SF:= [[0.0 ,0.1 ,4^(1/3) ,30.0 ,30.0 ]]
+--R 
+--R
+--R   (3)  [0.  0.10000000000000001  1.5874010519681994  30.  30.]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 99
+
+--S 100 of 137
+m:=5
+--R 
+--R
+--R   (4)  5
+--R                                                        Type: PositiveInteger
+--E 100
+
+--S 101 of 137
+k:=11
+--R 
+--R
+--R   (5)  11
+--R                                                        Type: PositiveInteger
+--E 101
+
+--S 102 of 137
+tol:SF:=0.0001
+--R 
+--R
+--R   (6)  9.9999999999999991E-5
+--R                                                            Type: DoubleFloat
+--E 102
+
+--S 103 of 137
+maxfun:=0
+--R 
+--R
+--R   (7)  0
+--R                                                     Type: NonNegativeInteger
+--E 103
+
+--S 104 of 137
+match:=0
+--R 
+--R
+--R   (8)  0
+--R                                                     Type: NonNegativeInteger
+--E 104
+
+--S 105 of 137
+elam:=14
+--R 
+--R
+--R   (9)  14
+--R                                                        Type: PositiveInteger
+--E 105
+
+--S 106 of 137
+delam:=1
+--R 
+--R
+--R   (10)  1
+--R                                                        Type: PositiveInteger
+--E 106
+
+--S 107 of 137
+hmax:Matrix SF:=
+ [[0.0 ,0.0 ],[0.0 ,0.0 ], [ 0.0 ,0.0 ],[0.0 ,0.0 ],[0.0 ,0.0 ]]
+--R 
+--R
+--R         +0.  0.+
+--R         |      |
+--R         |0.  0.|
+--R         |      |
+--R   (11)  |0.  0.|
+--R         |      |
+--R         |0.  0.|
+--R         |      |
+--R         +0.  0.+
+--R                                                    Type: Matrix(DoubleFloat)
+--E 107
+
+--S 108 of 137
+maxit:= 0
+--R 
+--R
+--R   (12)  0
+--R                                                     Type: NonNegativeInteger
+--E 108
+
+--S 109 of 137
+vef:Vector Expression Float:= [1.0 ,ELAM-X-2.0/(X*X) ,1.0 ]
+--R 
+--R
+--R                     3         2
+--R              - 1.0 X  + ELAM X  - 2.0
+--R   (13)  [1.0,------------------------,1.0]
+--R                          2
+--R                         X
+--R                                              Type: Vector(Expression(Float))
+--E 109
+
+--S 110 of 137
+coeffn:Asp10(COEFFN):=retract vef
+--R 
+--R
+--R   (14)  COEFFN
+--R                                                          Type: Asp10(COEFFN)
+--E 110
+
+--S 111 of 137
+mef:Matrix Expression Float:= [[XL ,2.0 ],[1.0 ,-sqrt(XR-ELAM) ]]
+--R 
+--R
+--R         +XL            2.0         +
+--R   (15)  |                          |
+--R         |           +-------------+|
+--R         +1.0  - 1.0\|XR - 1.0 ELAM +
+--R                                              Type: Matrix(Expression(Float))
+--E 111
+
+--S 112 of 137
+bdyval:Asp80(BDYVAL):=retract mef
+--R 
+--R
+--R   (16)  BDYVAL
+--R                                                          Type: Asp80(BDYVAL)
+--E 112
+
+--S 113 of 137
+-- result:=
+--   d02kef(xpoint,m,k,tol,maxfun,match,elam,delam,hmax,maxit,-1,coeffn,bdyval)
+--E 113
+
+-- the following are the default Asps used.
+
+--S 114 of 137
+outputAsFortran()$Asp12(MONIT)
+--R 
+--R      SUBROUTINE MONIT(MAXIT,IFLAG,ELAM,FINFO)
+--R      INTEGER MAXIT,IFLAG
+--R      DOUBLE PRECISION ELAM,FINFO(15)
+--R      DOUBLE PRECISION T1
+--R      IF(MAXIT.EQ.-1)THEN
+--R        PRINT*,"Output from Monit"
+--R      ENDIF
+--R      PRINT*,MAXIT,IFLAG,ELAM,(FINFO(I),I=1,4)
+--R      RETURN
+--R      END
+--R                                                                   Type: Void
+--E 114
+
+--S 115 of 137
+outputAsFortran()$Asp33(REPORT)
+--R 
+--R      SUBROUTINE REPORT(X,V,JINT)
+--R      INTEGER JINT
+--R      DOUBLE PRECISION X,V(3)
+--R      RETURN
+--R      END
+--R                                                                   Type: Void
+--E 115
+
+)clear all
+
+--S 116 of 137
+showArrayValues true
+--R 
+--R
+--R   (1)  true
+--R                                                                Type: Boolean
+--E 116
+
+--S 117 of 137
+showScalarValues true
+--R 
+--R
+--R   (2)  true
+--R                                                                Type: Boolean
+--E 117
+
+--S 118 of 137
+n:=3
+--R 
+--R
+--R   (3)  3
+--R                                                        Type: PositiveInteger
+--E 118
+
+--S 119 of 137
+mnp:=40
+--R 
+--R
+--R   (4)  40
+--R                                                        Type: PositiveInteger
+--E 119
+
+--S 120 of 137
+numbeg:=2
+--R 
+--R
+--R   (5)  2
+--R                                                        Type: PositiveInteger
+--E 120
+
+--S 121 of 137
+nummix:=0
+--R 
+--R
+--R   (6)  0
+--R                                                     Type: NonNegativeInteger
+--E 121
+
+--S 122 of 137
+tol:=1.0e-4
+--R 
+--R
+--R   (7)  0.0001
+--R                                                                  Type: Float
+--E 122
+
+--S 123 of 137
+init:=0
+--R 
+--R
+--R   (8)  0
+--R                                                     Type: NonNegativeInteger
+--E 123
+
+--S 124 of 137
+iy:=3
+--R 
+--R
+--R   (9)  3
+--R                                                        Type: PositiveInteger
+--E 124
+
+--S 125 of 137
+ijac:=1
+--R 
+--R
+--R   (10)  1
+--R                                                        Type: PositiveInteger
+--E 125
+
+--S 126 of 137
+lwork:=1925
+--R 
+--R
+--R   (11)  1925
+--R                                                        Type: PositiveInteger
+--E 126
+
+--S 127 of 137
+liwork:=283
+--R 
+--R
+--R   (12)  283
+--R                                                        Type: PositiveInteger
+--E 127
+
+--S 128 of 137
+np:=17
+--R 
+--R
+--R   (13)  17
+--R                                                        Type: PositiveInteger
+--E 128
+
+--S 129 of 137
+x:Matrix SF:=
+ [[0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,10.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,_
+   0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ,0.0 ]]
+--R 
+--R
+--R   (14)
+--R   [
+--R     [0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 10., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 129
+
+--S 130 of 137
+y:Matrix SF:=new(3,40,0.0)
+--R 
+--R
+--R   (15)
+--R   [
+--R     [0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0.]
+--R     ,
+--R
+--R     [0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0.]
+--R     ,
+--R
+--R     [0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0., 0.,
+--R      0., 0., 0., 0.]
+--R     ]
+--R                                                    Type: Matrix(DoubleFloat)
+--E 130
+
+--S 131 of 137
+deleps:=0.1
+--R 
+--R
+--R   (16)  0.1
+--R                                                                  Type: Float
+--E 131
+
+--S 132 of 137
+ifail:=11
+--R 
+--R
+--R   (17)  11
+--R                                                        Type: PositiveInteger
+--E 132
+
+--S 133 of 137
+vef:Vector Expression Float:= [Y[2] ,Y[3] ,-Y[1]*Y[3] - 2*EPS*(1-Y[2]*Y[2]) ]
+--R 
+--R
+--R                       2
+--R   (18)  [Y ,Y ,(2.0 Y   - 2.0)EPS - 1.0 Y Y ]
+--R           2  3       2                   1 3
+--R                                              Type: Vector(Expression(Float))
+--E 133
+
+--S 134 of 137
+fcn:Asp41(FCN,JACOBF,JACEPS):= retract vef
+--R 
+--R
+--R   (19)  [FCN,JACOBF,JACEPS]
+--R                                               Type: Asp41(FCN,JACOBF,JACEPS)
+--E 134
+
+--S 135 of 137
+vei:Vector Expression Integer:= [YA[1] ,YA[2] ,YB[2] -1 ]
+--R 
+--R
+--R   (20)  [YA ,YA ,YB  - 1]
+--R            1   2   2
+--R                                            Type: Vector(Expression(Integer))
+--E 135
+
+--S 136 of 137
+g:Asp42(G,JACOBG,JACGEP):=retract vei
+--R 
+--R
+--R   (21)  [G,JACOBG,JACGEP]
+--R                                                 Type: Asp42(G,JACOBG,JACGEP)
+--E 136
+
+--S 137 of 137
+-- result:=d02raf(n,mnp,numbeg,nummix,tol,init,iy,ijac,lwork,_
+--               liwork,np,x,y,deleps,ifail,fcn,g)
+--E 137
+
+)spool
+ 
+
 )lisp (bye)
 \end{chunk}
 \begin{chunk}{d02AgentsPackage.help}
diff --git a/changelog b/changelog
index c0db2a4..5dfaa32 100644
--- a/changelog
+++ b/changelog
@@ -1,17 +1,29 @@
+20141206 tpd src/axiom-website/patches.html 20141206.06.tpd.patch
+20141206 tpd books/bookvol10.4 D02AGNT absorb src/input test case files
+20141206 tpd src/axiom-website/patches.html 20141206.05.tpd.patch
+20141206 tpd books/bookvol10.4 D02AGNT absorb src/input test case files
+20141206 tpd src/input/d02bbf.input absorbed, removed
+20141206 tpd src/input/d02bhf.input absorbed, removed
+20141206 tpd src/input/d02cjf.input absorbed, removed
+20141206 tpd src/input/d02ejf.input absorbed, removed
+20141206 tpd src/input/d02gaf.input absorbed, removed
+20141206 tpd src/input/d02gbf.input absorbed, removed
+20141206 tpd src/input/d02kef.input absorbed, removed
+20141206 tpd src/input/d02raf.input absorbed, removed
 20141206 tpd src/axiom-website/patches.html 20141206.04.tpd.patch
 20141206 tpd books/bookvol10.4 D01AGNT absorb src/input test case files
-21041206 tpd src/input/d01ajf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01akf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01alf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01amf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01anf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01apf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01aqf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01asf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01bbf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01fcf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01gaf.input.pamphlet absorbed, removed
-21041206 tpd src/input/d01gbf.input.pamphlet absorbed, removed
+21041206 tpd src/input/d01ajf.input absorbed, removed
+21041206 tpd src/input/d01akf.input absorbed, removed
+21041206 tpd src/input/d01alf.input absorbed, removed
+21041206 tpd src/input/d01amf.input absorbed, removed
+21041206 tpd src/input/d01anf.input absorbed, removed
+21041206 tpd src/input/d01apf.input absorbed, removed
+21041206 tpd src/input/d01aqf.input absorbed, removed
+21041206 tpd src/input/d01asf.input absorbed, removed
+21041206 tpd src/input/d01bbf.input absorbed, removed
+21041206 tpd src/input/d01fcf.input absorbed, removed
+21041206 tpd src/input/d01gaf.input absorbed, removed
+21041206 tpd src/input/d01gbf.input absorbed, removed
 20141206 tpd src/axiom-website/patches.html 20141206.03.tpd.patch
 20141206 tpd books/bookvol10.4 NAGC06 absorb src/input test case files
 20141206 tpd src/input/c06eaf.input absorbed, removed
diff --git a/patch b/patch
index 5084047..8bf8507 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,2 @@
-books/bookvol10.4 D01AGNT absorb src/input test case files
+books/bookvol10.4 D02AGNT absorb src/input test case files
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4639b10..328f208 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4766,6 +4766,10 @@ books/bookvol10.4 NAGC05 absorb src/input test case files<br/>
 books/bookvol10.4 NAGC06 absorb src/input test case files<br/>
 <a href="patches/20141206.04.tpd.patch">20141206.04.tpd.patch</a>
 books/bookvol10.4 D01AGNT absorb src/input test case files<br/>
+<a href="patches/20141206.05.tpd.patch">20141206.05.tpd.patch</a>
+books/bookvol10.4 D02AGNT absorb src/input test case files<br/>
+<a href="patches/20141206.06.tpd.patch">20141206.06.tpd.patch</a>
+books/bookvol10.4 D02AGNT absorb src/input test case files<br/>
  </body>
 </html>
 
